tigase.jaxmpp.core.client.xmpp.modules.auth

## Interface AuthModule.AuthSuccessHandler

- All Superinterfaces:
    EventHandler
  Enclosing class:
    AuthModule

      public static interface AuthModule.AuthSuccessHandler
      extends EventHandler

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `AuthModule.AuthSuccessHandler.AuthSuccessEvent`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `onAuthSuccess(SessionObject sessionObject)`

- - ### Method Detail

    - #### onAuthSuccess

          void onAuthSuccess(SessionObject sessionObject)
                      throws JaxmppException

      Throws:
        `JaxmppException`

Copyright © 2006–2020 Tigase. All rights reserved.